# synfig::RecMutex Class Reference

`#include <mutex.h>`

Inheritance diagram for synfig::RecMutex:

List of all members.

## Public Member Functions

| RecMutex ()
void | unlock_all ()

## Constructor & Destructor Documentation

synfig::RecMutex::RecMutex | ( |  | ) |

## Member Function Documentation

void RecMutex::unlock_all | ( |  | ) |

References synfig::Mutex::is_locked(), and synfig::Mutex::unlock().

The documentation for this class was generated from the following files:

- mutex.h
- mutex.cpp